org.vertx.java.core.net.impl

## Class ServerID

- java.lang.Object
- - org.vertx.java.core.net.impl.ServerID

All Implemented Interfaces:
  java.io.Serializable

    public class ServerID
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`java.lang.String` `host`
`int` `port`

### Constructor Summary

Constructors
Constructor and Description
`ServerID()`
`ServerID(int port, java.lang.String host)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### port

    public int port

#### host

    public java.lang.String host

### Constructor Detail

#### ServerID

    public ServerID(int port,
            java.lang.String host)

#### ServerID

    public ServerID()

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`